Support » Fixing WordPress » Error when installing a new theme: failed to open stream and other error

  • Hi everybody 🙂

    I really need your help to fix this problem with the installation of a new theme.
    I purchase the Bard Pro theme, I installed it manually and with the zip file but the problem was the same. I’m working locally with WAMP server.

    After the installation, I can see the site but at the top of the page I see these 3 messagges:


    Warning: fopen(C:/wamp64/www/wordpress/wp-content/plugins/): failed to open stream: No such file or directory in C:\wamp64\www\wordpress\wp-includes\functions.php on line 4848

    Call Stack
    # Time Memory Function Location
    1 0.0001 404536 {main}( ) …\index.php:0
    2 0.0002 404824 require( ‘C:\wamp64\www\wordpress\wp-blog-header.php’ ) …\index.php:17
    3 0.0002 405176 require_once( ‘C:\wamp64\www\wordpress\wp-load.php’ ) …\wp-blog-header.php:13
    4 0.0003 405552 require_once( ‘C:\wamp64\www\wordpress\wp-config.php’ ) …\wp-load.php:37
    5 0.0003 406920 require_once( ‘C:\wamp64\www\wordpress\wp-settings.php’ ) …\wp-config.php:91
    6 0.0889 6376736 include( ‘C:\wamp64\www\wordpress\wp-content\themes\bard-pro-premium\functions.php’ ) …\wp-settings.php:426
    7 0.0889 6378104 bard_freemius( ) …\functions.php:140
    8 0.0899 6889776 fs_dynamic_init( ) …\functions.php:112
    9 0.0899 6889776 Freemius::instance( ) …\start.php:502
    10 0.0907 6890096 Freemius->__construct( ) …\class-freemius.php:2114
    11 0.0918 6910520 Freemius->_version_updates_handler( ) …\class-freemius.php:487
    12 0.0918 6910520 Freemius->get_plugin_version( ) …\class-freemius.php:609
    13 0.0918 6910520 Freemius->get_plugin_data( ) …\class-freemius.php:8409
    14 0.0918 6910520 get_plugin_data( ) …\class-freemius.php:8251
    15 0.0918 6910520 get_file_data( ) …\plugin.php:84
    16 0.0918 6910520 fopen ( ) …\functions.php:4848

    Warning: fread() expects parameter 1 to be resource, boolean given in C:\wamp64\www\wordpress\wp-includes\functions.php on line 4851

    1 0.0001 404536 {main}( ) …\index.php:0
    2 0.0002 404824 require( ‘C:\wamp64\www\wordpress\wp-blog-header.php’ ) …\index.php:17
    3 0.0002 405176 require_once( ‘C:\wamp64\www\wordpress\wp-load.php’ ) …\wp-blog-header.php:13
    4 0.0003 405552 require_once( ‘C:\wamp64\www\wordpress\wp-config.php’ ) …\wp-load.php:37
    5 0.0003 406920 require_once( ‘C:\wamp64\www\wordpress\wp-settings.php’ ) …\wp-config.php:91
    6 0.0889 6376736 include( ‘C:\wamp64\www\wordpress\wp-content\themes\bard-pro-premium\functions.php’ ) …\wp-settings.php:426
    7 0.0889 6378104 bard_freemius( ) …\functions.php:140
    8 0.0899 6889776 fs_dynamic_init( ) …\functions.php:112
    9 0.0899 6889776 Freemius::instance( ) …\start.php:502
    10 0.0907 6890096 Freemius->__construct( ) …\class-freemius.php:2114
    11 0.0918 6910520 Freemius->_version_updates_handler( ) …\class-freemius.php:487
    12 0.0918 6910520 Freemius->get_plugin_version( ) …\class-freemius.php:609
    13 0.0918 6910520 Freemius->get_plugin_data( ) …\class-freemius.php:8409
    14 0.0918 6910520 get_plugin_data( ) …\class-freemius.php:8251
    15 0.0918 6910520 get_file_data( ) …\plugin.php:84
    16 0.0948 6911248 fread ( ) …\functions.php:4851

    Warning: fclose() expects parameter 1 to be resource, boolean given in C:\wamp64\www\wordpress\wp-includes\functions.php on line 4854

    I also can’t see, inside the backend of wordpress, the sidebar with posts, pages and everything.

    Then, if I logout from wordpress and I try to enter again I see two new messagges, after the three that I’ve already mentioned. I report here the message:

    Warning: Cannot modify header information – headers already sent by (output started at C:\wamp64\www\wordpress\wp-includes\functions.php:4848) in C:\wamp64\www\wordpress\wp-login.php on line 423

    Warning: Cannot modify header information – headers already sent by (output started at C:\wamp64\www\wordpress\wp-includes\functions.php:4848) in C:\wamp64\www\wordpress\wp-login.php on line 436

    Reading online it seems that this messages about headers are generated from the main error, the upper one. I wish that someone can help me fixing this thing 🙂

    Thank you in advance,

    Davide

Viewing 3 replies - 1 through 3 (of 3 total)
  • @davidem88,
    Can you try installing Brad Pro theme after regenerating .htaccess file and verifying the files and folder permissions!

    The correct set of file and folder permissions allows WordPress to create folders and files. The following settings are recommended for most users.
    755 for all folders and sub-folders.
    644 for all files.

    If still the issue persists, can you reset your theme to a default wp-theme such as Twenty Seventeen or any of the free Storefront themes?

    If you are able to activate the default wp theme without any errors, then you need to contact your theme developer to help you out further!

    Hi Himani,

    thank you for you reply. What do you mean when you say:

    “The correct set of file and folder permissions allows WordPress to create folders and files. The following settings are recommended for most users.
    755 for all folders and sub-folders.
    644 for all files.”

    Where can I see and set these numbers?

    The default wp themes are activated without problems anyway, now I’m tryng to regenerate the .htaccess file…I hope that it will work!

    Thank you in advance 🙂

    PS: I’ve already sent an email to developer btw!

    You can check WordPress files and permission into your localhost folder!

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Error when installing a new theme: failed to open stream and other error’ is closed to new replies.